Drag and drop file upload

Bootstrap drag and drop file upload plugin

Note: We are transitioning MDB4 to a legacy version and focusing on developing MDB5. While we'll continue to support for the transition period, we encourage you to migrate to MDB5. We're offering a huge discount on MDB5 PRO to help with your transition, enabling you to leverage the full potential of the latest version. You can find more information here.
upgrade with discount

MD Bootstrap's File Upload plugin is an extension that allows you to upload files by using drag and drop functionality. Easy to use, setup and customize.

To start working with the drag and drop file upload plugin see the "Getting Started" tab on this page.


Basic example

For each element with a file upload plugin, you have to add a wrapper with the class file-upload-wrapper.

        
            
          <div class="file-upload-wrapper">
            <input type="file" id="input-file-now" class="file-upload" />
          </div>
        
        
    
        
            
          $('.file-upload').file_upload();
        
        
    

Default value

You can add a default value to the plugin

        
            
          <div class="file-upload-wrapper">
            <input type="file" id="input-file-now-custom-1" class="file-upload" data-default-file="https://mdbootstrap.com/img/Photos/Others/images/89.webp" />
          </div>
        
        
    
        
            
          $('.file-upload').file_upload();
        
        
    

Custom height

You can set its height

        
            
          <div class="file-upload-wrapper">
             <input type="file" id="input-file-now-custom-2" class="file-upload"
            data-height="500" />
          </div>
        
        
    
        
            
              $('.file-upload').file_upload();
        
        
    

Disable

You can disable its input

        
            
          <div class="file-upload-wrapper">
            <input type="file" id="input-file-now-disabled-2" class="file-upload" disabled="disabled" data-default-file="https://mdbootstrap.com/img/Others/documentation/1.webp" />
          </div>
        
        
    
        
            
              $('.file-upload').file_upload();
        
        
    

Max size

You can add a maximum file size

        
            
          <div class="file-upload-wrapper">
            <input type="file" id="input-file-max-fs" class="file-upload" data-max-file-size="2M" />
          </div>
        
        
    
        
            
              $('.file-upload').file_upload();
        
        
    

Drag and drop file upload - getting started : download & setup


Download

This plugin requires a purchase.

Buy Drag and drop file upload plugin

Tutorial

Vue Drag and drop file upload

Vue Bootstrap drag and drop file upload plugin

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

MD Bootstrap Vue File Upload plugin is an extension that allows you to upload files by using drag and drop functionality. Easy to use, setup and customize.


Basic example

The MDB Vue File Upload component resambles a regular input with some extra features. It means it best operated the Vue-way, namely - through imitation of v-model, files prop and @change event handler. The extras include automatic browser feature detection and in case the support is not there, falling back to default, "click here to upload" file upload.

        
            
          <template>
            <mdb-file-upload :files="files" @change="handleChange" />
          </template>
          
        
    
        
            
          <script>
            import mdbFileUpload from 'mdb-file-upload';
            export default {
              name: 'app',
              components: {
                mdbFileUpload
              },
              data() {
                return {
                  files: []
                }
              },
              methods: {
                handleChange(v) {
                  this.files = v;
                }
              }
            }
          </script>
          
        
    

Custom height

You can set the height

        
            
          <template>
            <mdb-file-upload height="500" />
          </template>
          
        
    
        
            
          <script>
            import mdbFileUpload from 'mdb-file-upload';
            export default {
              name: 'app',
              components: {
                mdbFileUpload
              }
            }
          </script>
          
        
    

Disable

You can disabled the input

        
            
          <template>
            <mdb-file-upload disabled />
          </template>
          
        
    
        
            
          <script>
            import mdbFileUpload from 'mdb-file-upload';
            export default {
              name: 'app',
              components: {
                mdbFileUpload
              }
            }
          </script>
          
        
    

Max size

You can add a max file size in kb, mb and gb using maxSize prop.

        
            
          <template>
            <mdb-file-upload maxSize="2M" />
          </template>
          
        
    
        
            
          <script>
            import mdbFileUpload from 'mdb-file-upload';
            export default {
              name: 'app',
              components: {
                mdbFileUpload
              }
            }
          </script>
          
        
    

Vue Drag and Drop File Upload - getting started: download & setup


Download

This plugin requires a purchase.

Buy Drag and drop file upload plugin

API Reference: Properties

Name Type Default Description Example
files Array [] The uploaded files <mdb-file-upload :files="theFiles"/>
multiple Boolean false Determines whether the input should accept multiple files <mdb-file-upload multiple/>
height Number / String 200 File upload's desired height in pixels <mdb-file-upload :height="300"/>
disabled Boolean false Makes the file input turn disabled <mdb-file-upload disabled/>
accept String Specify the kind of files the input should accept <mdb-file-upload accept="image/png, image/jpeg"/>
maxSize String Delimit file size to be accepted in KB(k), MB(m) or GB(g) <mdb-file-upload maxSize="2M"/>
text Object { able: { multi: 'Drag and drop files here or click', single: 'Drag and drop a file here or click', }, unable: { multi: 'Click here to upload files', single: 'Click here to upload a file' } This is the text object - it describes the primary message being displayed when there are no files present <mdb-file-upload :text="inputFileMessagePL"/>
secondaryText Object { able: { multi: 'Drag and drop or click to add files', single: 'Drag and drop or click to replace file', }, unable: { multi: 'Click here to add files', single: 'Click here to replace file' } } It has the same structure as text, but describes the text that is shown when there is a file in <mdb-file-upload :secondaryText="thanksForUploading-PL"/>
btnText String "remove" The string inside the remove button that's in previews' top-right corner. <mdb-file-upload :btnText="Sashay away"/>
generalErrorText String "Ooops, something wrong happended." This message will appear in the background once something bad happens <mdb-file-upload :generalErrorText="OMG LOL"/>
fileTooBigText String "The file size is too big." The uploaded file is too big error message. <mdb-file-upload :fileTooBigText="Please upload a file of 2mb or less."/>

React Drag and drop file upload

React drag and drop file upload - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

React MDBootstrap File Upload plugin is an extension that allows you to upload files by using drag and drop functionality. Easy to use, setup and customize.

Basic example

        
            
          import React from 'react';
          import MDBFileupload from 'mdb-react-fileupload';

          const App = () => {
            return (
              <MDBFileupload />
            );
          };

          export default App;
        
        
    

Default value

You can add a default value

        
               
        import React from 'react';
        import MDBFileupload from 'mdb-react-fileupload';

        const App = () => {
          return (
            <MDBFileupload defaultFileSrc='https://mdbootstrap.com/img/Photos/Others/images/89.webp' />
          );
        };

        export default App;
        
        
    

Custom height

You can set the height

        
               
        import React from 'react';
        import MDBFileupload from 'mdb-react-fileupload';

        const App = () => {
          return (
            <MDBFileupload containerHeight={500} />
          );
        };

        export default App;
        
        
    

Combined

You can combine properties

        
              
            import React from "react";
            import MDBFileupload from "mdb-react-fileupload";
            
            const App = () => {
              return (
                <MDBFileupload containerHeight={400} defaultFileSrc='https://mdbootstrap.com/img/Photos/Others/images/89.webp' />
              );
            };
            
            export default App;
        
        
    

Disabled

You can disable the input

        
               
        import React from 'react';
        import MDBFileupload from 'mdb-react-fileupload';

        const App = () => {
          return (
            <MDBFileupload disabled />
          );
        };

        export default App;
        
        
    

Max size

You can add a max file size

        
               
        import React from 'react';
        import MDBFileupload from 'mdb-react-fileupload';

        const App = () => {
          return (
            <MDBFileupload maxFileSize="1M" />
          );
        };

        export default App;
        
        
    

Drag and drop file upload - getting started : download & setup


Download

This plugin requires a purchase.

Buy Drag and drop file upload plugin

React MDBFileupload - API

In this section you will find advanced information about the MDBFileupload component. You will find out which modules are required & what are the possibilities of configuring the component.


MDBFileupload import statement

In order to use MDBFileupload component make sure you have imported proper module first.

        
            
         import MDBFileupload from 'mdb-react-fileupload';
      
        
    
        
            
         "mdbreact": "^4.15.0",
         "react-router-dom": "^5.0.1"
      
        
    

MDBFileupload PropTypes

The table below shows the configuration options of the MDBFileupload component.

Name Type Default Description Example
messageDefault String Drag and drop a file here or click Override default message <MDBFileupload messageDefault="custom message" ... />
messageReplace String Drag and drop or click to replace Override default message <MDBFileupload messageReplace="custom message" ... />
messageRemove String Remove Override default message inside the remove button <MDBFileupload messageRemove="custom message" ... />
messageError String Ooops, something wrong happended. Override default error message <MDBFileupload messageError="custom message" ... />
defaultFileSrc String Set default file on the intput <MDBFileupload defaultFileSrc='https://mdbootstrap.com/img/Photos/Others/images/89.webp' ... />
maxFileSize String 2M Set the max filesize of the uploaded document <MDBFileupload maxFileSize="1M" ... />
minWidth Number Set the min allowed width of the uploaded image <MDBFileupload minWidth={500} ... />
maxWidth Number Set the max allowed width of the uploaded image <MDBFileupload maxWidth={500} ... />
minHeight Number Set the min allowed height of the uploaded image <MDBFileupload minHeight={500} ... />
maxHeight Number Set the max allowed height of the uploaded image <MDBFileupload maxHeight={500} ... />
showRemove Boolean true Hide the remove button <MDBFileupload showRemove={false} ... />
showErrors Boolean true Don't display errors <MDBFileupload showErrors={false} ... />
maxFileSizePreview String 5M Set the max filesize of the previewed image <MDBFileupload maxFileSizePreview='1M' ... />
allowedFormats Array ['portrait', 'square', 'landscape'] Allow/Deny pictures formats. Choose from 'portrait', 'square', 'landscape' <MDBFileupload allowedFormats={['portrait']} ... />
allowedFileExtensions Array ['*'] Allow only some file extensions <MDBFileupload allowedFileExtensions={['jpg', 'png']} ... />
disabled Boolean false Disable the input <MDBFileupload disabled ... />
containerHeight Number 230 Set the height of your MDBFileupload component [px] <MDBFileupload containerHeight={800} ... />
errorFileSize String `The file size is too big (${maxFileSize} max).` Override default error message <MDBFileupload errorFileSize="custom message" ... />
errorFileExtension String `The file is not allowed (${allowedFileExtensions.join(", ")} only).` Override default error message <MDBFileupload errorFileExtension="custom message" ... />
errorImageFormat String `The image format is not allowed (${allowedFormats} only).` Override default error message <MDBFileupload errorImageFormat="custom message" ... />
errorMaxHeight String `The image height is too big (${maxHeight}px max).` Override default error message <MDBFileupload errorMaxHeight="custom message" ... />
errorMinHeight String `The image height is too small (${minHeight}px min).` Override default error message <MDBFileupload errorMinHeight="custom message" ... />
errorMaxWidth String `The image width is too big (${maxWidth}px max).` Override default error message <MDBFileupload errorMaxWidth="custom message" ... />
errorMinWidth String `The image width is too small (${minWidth}px min).` Override default error message <MDBFileupload errorMinWidth="custom message" ... />

Angular Bootstrap File Upload

Angular File Upload - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

The Angular Bootstrap File Upload plugin is an extension that allows you to upload files by using drag and drop functionality. Easy to use, setup and customize.


Basic example

        
            
              <mdb-file-upload (fileRemoved)="onFileRemove()" (fileAdded)="onFileAdd($event)"></mdb-file-upload>
            
        
    
        
            
              import { Component } from '@angular/core';

              @Component({
              selector: 'file-upload',
              templateUrl: './file-upload.component.html',
              })
              export class FileUpload {
                file: File;

                onFileAdd(file: File) {
                  this.file = file;
                }

                onFileRemove() {
                  this.file = null;
                }
              }
            
        
    

Default value

You can add a custom url to the [defaultFile] input to set a default preview image.

        
            
            <mdb-file-upload
              #uploader
              (fileRemoved)="onFileRemove()"
              (fileAdded)="onFileAdd($event)"
              [defaultFile]="'https://mdbootstrap.com/img/Photos/Others/images/89.webp'"
            >
            </mdb-file-upload>
          
        
    
        
            
            import { Component } from '@angular/core';

            @Component({
              selector: 'file-upload',
              templateUrl: './file-upload.component.html',
            })
            export class FileUpload {
              file: File;

              onFileAdd(file: File) {
                this.file = file;
              }

              onFileRemove() {
                this.file = null;
              }
            }
          
        
    

Custom height

You can use the [height] input to set a custom height.

        
            
            <mdb-file-upload [height]="500" (fileRemoved)="onFileRemove()" (fileAdded)="onFileAdd($event)"></mdb-file-upload>
          
        
    
        
            
            import { Component } from '@angular/core';

            @Component({
              selector: 'file-upload',
              templateUrl: './file-upload.component.html',
            })
            export class FileUpload {
              file: File;

              onFileAdd(file: File) {
                this.file = file;
              }

              onFileRemove() {
                this.file = null;
              }
            }
          
        
    

Disable

You can use the [disabled] input to toggle the disabled state.

        
            
            <mdb-file-upload [disabled]="true" (fileRemoved)="onFileRemove()" (fileAdded)="onFileAdd($event)"></mdb-file-upload>
          
        
    
        
            
            import { Component } from '@angular/core';

            @Component({
              selector: 'file-upload',
              templateUrl: './file-upload.component.html',
            })
            export class FileUpload {
              file: File;

              onFileAdd(file: File) {
                this.file = file;
              }

              onFileRemove() {
                this.file = null;
              }
            }
          
        
    

Upload files

The file you added to the input is returned in (fileAdded) output. You can listen to this event and upload the file to the server

Please note that in order to use the Angular HttpClient you need to import HttpClientModule in your module file.

        
            
            <mdb-file-upload [disabled]="true" (fileRemoved)="onFileRemove()" (fileAdded)="onFileAdd($event)"></mdb-file-upload>
          
        
    
        
            
            import { Component } from '@angular/core';
            import { HttpClient } from '@angular/common/http';

            @Component({
              selector: 'file-upload',
              templateUrl: './file-upload.component.html',
            })
            export class FileUpload {
              file: File;

              constructor(private http: HttpClient) {}
              onFileAdd(file: File) {
                this.file = file;
              }

              onFileRemove() {
                this.file = null;
              }

              uploadFiles() {
                const url = 'your-path-to-backend-endpoint'
                const data = new FormData();
                data.append('file', this.file, this.file.name)
                this.http.post(url, data);
              }
            }
          
        
    

Max size

You can limit the size of an uploaded file

        
            
            <mdb-file-upload [disabled]="true" (fileRemoved)="onFileRemove()" (fileAdded)="onFileAdd($event)"></mdb-file-upload>
          
        
    
        
            
            import { Component } from '@angular/core';
            import { HttpClient } from '@angular/common/http';

            @Component({
            selector: 'file-upload',
            templateUrl: './file-upload.component.html',
            })
            export class FileUpload {
              file: File;
              maxFileSize = 1000 // bytes

              constructor(private http: HttpClient) {}

              onFileAdd(file: File) {
                this.file = file;
              }

              onFileRemove() {
                this.file = null;
              }

              uploadFiles() {
                const url = 'your-path-to-backend-endpoint'
                const data = new FormData();
                data.append('file', this.file, this.file.name)
                if (this.file.size <= this.maxFileSize) {
                this.http.post(url, data);
                }
              }
            }
          
        
    

Installation guide

Step 1: Create a new Angular application using Angular CLI command:

ng new application-name --style=scss --routing=false

Step 2: Download this plugin from your user dashboard

Step 3: Extract the downloaded archive from Step 2 and copy the mdb-file-upload-{version-number}.tgz file to your application root directory

Step 4: Install the mdb-file-upload-{version-number}.tgz package in your application by executing the command below in the application's terminal:

npm install mdb-file-upload-{version-number.tgz} --save

For example, the installation command should look like the following: npm install mdb-file-upload-8.0.0.tgz --save

Step 5: Follow the Quickstart Guide to add MDB Angular Free or MDB Angular Pro (depending on which version you're using) to the application

Step 6: Import the MdbFileUploadModule in the app.module.ts file

Step 7: Copy the basic example from this site and enjoy your new plugin!

Step 1: Download this plugin from your user dashboard

Step 2: Extract the downloaded archive from Step 1 and copy the mdb-file-upload-{version-number}.tgz file to your application root directory

Step 3: Install the mdb-file-upload-{version-number}.tgz package in your application by executing the below command in the application's terminal:

npm install mdb-file-upload-{version-number.tgz} --save

For example, the installation command should look like the following: npm install mdb-file-upload-8.0.0.tgz --save

Step 4: Follow the Quickstart Guide to add MDB Angular Free or MDB Angular Pro (depending on which version you're using) to the application

Step 5: Import the MdbFileUploadModule into the app.module.ts file

Step 6: Copy the basic example from this site and enjoy your new plugin!

Angular Drag And Drop File Upload - API

In this section you will find information about the required modules and available inputs, outputs, methods and events of drag and drop file upload plugin.


Download

This plugin requires a purchase.

Buy Drag and drop file upload plugin

Components

MdbFileUpload

Selector: mdb-file-upload

Type: MdbFileUploadComponent


Inputs

Name Type Default Description Example
defaultFile string - Allows one to set url to a file that will be used for default preview [defaultFile]="'https://mdbootstrap.com/img/Photos/Others/images/89.webp'"
disabled boolean false Allows one to toggle the disabled state [disabled]="true"
height number 200 Allows one to set custom height [height]="500"
customText ITextTranslation {fileText: 'Drag and drop a file here or click', removeText: 'Remove', imageFileText: 'Drag and drop or click to replace'} Allows one to set some custom text inside a file upload component [customText]="customTextTranslation"

Outputs

Name Type Description Example
fileAdded EventEmitter<File> Event fired when a new file is added (fileAdded)="onFileAdd($event)"
fileRemoved EventEmitter<any> Event fired when a file is removed (fileRemoved)="onFileRemove()"

Methods

You can get access to file upload methods from another component. Add template reference variable to your mdb-file-upload component in HTML file

<mdb-file-upload #uploader></mdb-file-upload>

Then in your typescript file use the @ViewChild decorator to get access to MdbFileUploadComponent methods

@ViewChild('uploader', { static: true }) uploader: MdbFileUploadComponent

Name Description Example
reset Removes file from input this.uploader.reset()